DEB-REVERSION(1)

NAME
deb-reversion - einfaches Skript, um die Version einer .deb-Datei zu ändern

SYNOPSIS

deb-reversion [Optionen] .deb-Datei [log message...]

BESCHREIBUNG

deb-reversion entpackt die angegebene .deb-Datei, ändert die Versionsnummer an den relevanten Stellen, hängt einen Debian-changelog-Eintrag mit dem angegebenen Inhalt an und erstellt eine neue .deb-Datei mit der aktualisierten Version.

Standardmäßig erstellt das Werkzeug eine für lokale Änderungen angemessene neue Versionsnummer, so dass die des neuen Pakets größer sein wird, als die des aktuellen, aber kleiner als die irgendwelcher zukünftiger offizieller Debian-Pakete. Mit -v Version kann die Versionsnummer direkt angegeben werden. Andererseits berechnet -c einfach die neue Versionsnummer, erzeugt aber kein neues Paket.

Wenn eine .deb-Datei gebaut wird, sind Root-Rechte nötig, um die korrekten Zugriffs- und Besitzrechte in der resultierenden .deb-Datei zu bekommen. Dies kann entweder durch Ausführen von deb-reversion als Root oder durch Ausführen unter fakeroot(1) als »fakeroot deb-reversion foo.deb« erreicht werden.

Mit -k Hook kann ein Hook-Skript angegeben werden, das auf den entpackten Binärpaketen ausgeführt wird, unmittelbar bevor sie erneut gepackt werden. Falls Sie Changelog-Einträge aus dem Hook heraus schreiben möchten, verwenden Sie »dch -a -- Ihre Nachricht«. (Geben Sie alternativ auf der deb-reversion-Befehlszeile keinen Changelog-Eintrag an, dann wird dch automatisch aufgerufen.) Der Hook-Befehl muss in Anführungszeichen gesetzt werden, falls er aus mehr als einem Wort besteht; er wird per sh -c aufgerufen.

OPTIONEN

-v neue_Version, --new-version neue_Version
    gibt die Versionsnummer an, die für die neue Version benutzt wird. Wird an dch(1) übergeben.

-o alte_Version, --old-version alte_Version
    gibt die Versionsnummer an, die als alte Version anstelle der in der Datei control des .debs gespeicherten Version verwendet werden soll.

-c, --calculate-only
    berechnet nur die neue Versionsnummer, die benutzt würde, und zeigt sie an; baut keine neue .deb-Datei; kann nicht zusammen mit -v benutzt werden.

-s Zeichenkette, --string Zeichenkette
    benutzt als Versionszeichenkette zum Anhängen an die alte Versionsnummer Zeichenkette anstelle von »LOCAL.«.

-k Hook-Befehl, --hook Hook-Befehl
    ein Hook-Befehl, der nach dem Entpacken der alten .deb-Datei und dem Ändern des changelog ausgeführt wird und bevor die neue .deb-Datei entpackt wird. Muss in Anführungszeichen stehen, falls er aus mehr als einem (Shell-)Wort besteht. Es kann nur ein Hook-Befehl angegeben werden; falls Sie mehr als diesen einen ausführen möchten, könnten Sie »bash« als Hook-Befehl angeben, dann erhalten Sie eine Shell, in der Sie arbeiten können.

-D, --debug
    übergibt --debug an dpkg-deb(1).

-b, --force-bad-version
    übergibt --force-bad-version an dch(1)

-h, --help
    zeigt Aufrufinformationen

-V, --version
    zeigt Versionsinformationen.

SIEHE AUCH

dch(1), dpkg-deb(1), fakeroot(1)

HAFTUNGSAUSSCHLUSS

deb-reversion ist ein Werkzeug, das Portierern helfen soll, Pakete für andere Architekturen zu ändern und deb-repack zu ergänzen, das veränderte Pakete mit identischen Versionsnummern als offizielle Pakete erstellt. Chaos wird folgen! Mit deb-reversion kann eine ordnungsgemäße Versionsnummer ausgewählt werden, die die nächste offizielle Veröffentlichung nicht behindert, aber eigens mit APT-Pinning behandelt oder mit Dpkg gehalten werden kann.

Bitte nehmen Sie zur Kenntnis, dass deb-reversion nicht ohne Probleme daherkommt. Obwohl es in den meisten Fällen gut funktioniert, könnte das gerade bei Ihnen anders sein. Beachten Sie insbesondere, das es (nur!) Binärpakete ändert und daher Abhängigkeiten mit strenger Berücksichtigung der Versionen zwischen Binärpaketen, die aus der selben Quelle erzeugt wurden, zerstört.

Sie benutzen dieses Werkzeug auf eigene Gefahr und sollten keine Träne vergießen, falls Ihre Rennmaus in Flammen aufgeht, Ihre Mikrowelle Ihre Stereoanlage angreift oder der wütende Aufschlag Ihrer Faust Kaffee in Ihre Tastatur schüttet, was eine Kettenreaktion auslöst, die dazu führt, dass eine gewaltige Geldsumme von Ihrem Konto auf meins überwiesen wird.

AUTOR

Das Copyright 2004/2005 liegt bei martin f. krafft <madduck@debian.org> und Änderungen unterliegen dem Copyright 2006 von Julian Gilbey <jdg@debian.org>.

Die Rechte für das Kopieren, Weitergeben und/oder Ändern dieses Dokuments werden unter den Bedingungen der Artistic License gewährt: http://www.opensource.org/licenses/artistic-license.php. Auf Debian-Systemen kann der komplette Text der Artistic License unter /usr/share/common-licenses/Artistic gefunden werden.

Diese Handbuchseite wurde von martin f. krafft <madduck@debian.org> geschrieben und durch Julian Gilbey <jdg@debian.org> geändert.

NOTES

1.  http://www.opensource.org/licenses/artistic-license.php